/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { GridCellPositionDescription } from "./GridCellPositionDescription";
/**
 * @hidden
 */
var GridCellPositionDescriptionMetadata = /** @class */ (function (_super) {
    __extends(GridCellPositionDescriptionMetadata, _super);
    function GridCellPositionDescriptionMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GridCellPositionDescriptionMetadata.b = function (a) {
        if (GridCellPositionDescriptionMetadata.a == null) {
            GridCellPositionDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            GridCellPositionDescriptionMetadata.c(a, GridCellPositionDescriptionMetadata.a);
        }
    };
    GridCellPositionDescriptionMetadata.c = function (a, b) {
        b.item("RowIndex", "Number:int");
        b.item("ColumnUniqueKey", "String");
    };
    GridCellPositionDescriptionMetadata.d = function (a) {
        GridCellPositionDescriptionMetadata.b(a);
        a.n("GridCellPosition", function () { return new GridCellPositionDescription(); });
        a.m("GridCellPosition", GridCellPositionDescriptionMetadata.a);
    };
    GridCellPositionDescriptionMetadata.$t = markType(GridCellPositionDescriptionMetadata, 'GridCellPositionDescriptionMetadata');
    GridCellPositionDescriptionMetadata.a = null;
    return GridCellPositionDescriptionMetadata;
}(Base));
export { GridCellPositionDescriptionMetadata };
